settings
  time_step_limit = 10;
  time_error_limit = 0;
  crash_calling = 3;
  remote_sync = true;
  remote_sync_timeout = 5;
  skip_init_outputs = false;
  dv_read_only = false;
  tidy_bitmaps = false;
  disable_init_messages = false;
  log_window = false;
  log_window_history = 500;
  clear_log_on_start = false;
  ignore_same_message = true;
  ignore_time_interval = 0.71;
  log_file_size = 64;
end_settings;

const
end_const;

var
  cas_1 = boolean, false;
  cas_2 = boolean, false;
  cas_3 = boolean, false;
  aktivacia = boolean, false;
end_var;

driver
end_driver;

channel
end_channel;

timer

end_timer;

instrument

  window panel panel;
    owner = background;
    position = 46, 68, 497, 165;
    win_disable = zoom, maximize, lower, winlist;
    win_title = 'Zmena asovania prstroja za behu';
  end_panel;

  label label;
    owner = panel;
    position = 260, 22;
    font = SYSTEM, 10, bold;
    text = 'archiver';
  end_label;

  label label;
    owner = panel;
    position = 21, 119;
    font = SYSTEM, 10, bold;
    text = 'Za behu menme asovanie prstroja archiver a z jeho sboru sa priamo';
    text = 'mme presvedi o zmene asovania - poda archivovanho asu.';
  end_label;

  indicator indicator;
    owner = panel;
    position = 441, 29;
    expression = aktivacia;
  end_indicator;

  archiver archiver;
    owner = panel;
    position = 261, 39, 174, 28;
    file_type = permanent;
    file_length = hour;
    file_name = 'SEQ-DEMO';
    date_item
      disable;
    end_date_item;
    item
      name = 'CASOVAC_1';
      type = logical;
      length = 1;
      dec_places = 0;
      expression = cas_1;
    end_item;
    item
      name = 'CASOVAC_2';
      type = logical;
      length = 1;
      dec_places = 0;
      expression = cas_2;
    end_item;
    item
      name = 'CASOVAC_3';
      type = logical;
      length = 1;
      dec_places = 0;
      expression = cas_3;
    end_item;
  end_archiver;

  multi_switch zmena;
    owner = panel;
    position = 16, 19, 177, 53;
    item
      text = 'asovanie 1:  1 sekunda';
      output = cas_1;
      selected;
    end_item;
    item
      text = 'asovanie 2:  5 seknd';
      output = cas_2;
    end_item;
    item
      text = 'asovanie 3:  10 seknd';
      output = cas_3;
    end_item;
  end_multi_switch;

  program casovanie2;
    timer = 5;
    begin
      if cas_2 then
        (* aktivacia archiveru *)
        send archiver;
        (* aktivacia  a prebliknutie indikatora *)
        aktivacia=true;
        send indicator;
        pause 0.1;
        aktivacia=false;
        send indicator;
      end;
    end;
  end_program;

  program casovanie3;
    timer = 10;
    begin
      if cas_3 then
        (* aktivacia archiveru *)
        send archiver;
        (* aktivacia  a prebliknutie indikatora *)
        aktivacia=true;
        send indicator;
        pause 0.1;
        aktivacia=false;
        send indicator;
      end;
    end;
  end_program;

  program casovanie1;
    timer = 1;
    begin
      if cas_1 then
        (* aktivacia archiveru *)
        send archiver;
        (* aktivacia  a prebliknutie indikatora *)
        aktivacia=true;
        send indicator;
        pause 0.1;
        aktivacia=false;
        send indicator;
      end;
    end;
  end_program;

end_instrument;

